import { ButtonOne } from "../../../components/Buttons";
import { H5, H4 } from "../../../components/Headings";
import { PDF } from "../../../components/Pdfs";
import { useNavigation } from "../../../utils";  


export function HPCollabs(){
    const {goToPagesAndOpenTab} = useNavigation(); 
    return (
        <div className="col">
            <div className="row align-items-center" style={{marginTop: "5vh", marginBottom: "5vh"}}>
                <div className="col">
                    <ButtonOne openclass="coll-cycletab" text="Overview" open="coll-overview"></ButtonOne>
                </div>
                <div className="col">
                    <ButtonOne openclass="coll-cycletab" text="Collabs in 2024" open="colls2024"></ButtonOne>
                </div>
                <div className="col">
                    <ButtonOne openclass="coll-cycletab" text="LNP Handbook" open="Handbook"></ButtonOne>
                </div>
            </div>
    
            <div id="colls2024" className="coll-cycletab" style={{display: "none"}}>
                <H4 id="colls2024-heading" text="Collaboration with Lingköping"/>
                <H4 text="Home University of Linköping"/>
                <p>The University of Linköping is one of the bigger universities located in Sweden. Since its inception in 1975, it has become a very innovative and highly renowned institution.  </p>
                <p>The project of Linköpings iGEM 2024 team: (description taken from their website)</p>
                <p>“The product composition will depend on the enzyme missing or malfunctioning in each of the disease types. We’re going to target autosomal recessive congenital ichthyosis, as this is the one our friend is struggling with. We will focus on the consequences of mutations in three different genes (TGM1, ALOXE3, ALOX12B) that can underlie this condition [5]. However, if our approach turns out to be successful, after some adjustments, the protocol could be applied for the remaining types of the disease as well. First of all, we’ll engineer E. coli to produce the chosen enzymes encoded by the corresponding genes we chose: transglutaminase 1, Epidermis-type lipoxygenase 3, Arachidonate 12-lipoxygenase and then we will purify them from the bacteria. Once this system is established and optimized, we’ll proceed to design a functioning delivery system that we will encapsulate the enzymes in. We have decided to produce modulated liposomes that will be able to keep the enzymes active while transporting them. Once the target skin layer is reached, the liposomes will fuse with the membranes of the cells of interest, delivering the product to its final destination. Functioning liposomes packed with the produced enzymes will then be incorporated into a suitable medium to facilitate the topical application for the patients”. </p>
                <H4 text="iGEM team Liu project our idea"/>
                <p>We first made contact with the team of LIU via email, due to both our teams’ interest in working with LNP based delivery systems. It rapidly became apparent that our two teams could benefit from a corporation especially since the team of LiU was working on an LNP handbook at the time.</p>
            </div>
            <div id="Handbook" className="coll-cycletab" style={{display: "none"}}>
                <H4 id="Handbook-heading" text="Hanbook for download"/>
                <PDF link="https://static.igem.wiki/teams/5247/pdfs/liposomes-handbook.pdf" name="liposomes-handbook.pdf"/>
            </div>

            <div id="ent-overview" className="ent-interview" style={{display: "block"}}>
            <H4 id="ent-heading" text="Collaborations as part of a integrated human practice - but why?"/>
            <p>Entrepreneurship is not only an interesting possibility but necessary to turn our ideas and results into a real product that can help people. </p>
            <p>That is why in this section we focus on the aspects of entrepreneurship that are crucial for the potential successful realisation of our project to develop new therapies for cystic fibrosis. A pivotal moment was our interview with Nicole Friedlein, which gave us valuable insights into the challenges and opportunities in the field of biomedical innovation. The discussions in the interview encouraged us to look more closely at the regulatory requirements, which is why one team member completed a GxP course and subsequently trained the team in this area. In addition, we conducted further interviews in the area of entrepreneurship to gain a better understanding of the practical aspects of business development. These experiences not only enriched the scientific depth of our project, but also sharpened our perspective on the practical implementation and market launch of new therapies. 
            </p>
            </div>


            <H5 text="Biosafety and Security"/>
                    <p>Early in our project, we faced challenges working with human biomaterials, particularly cultivating primary human nasal epithelial cells from both CF patients and controls. To address these, we made three key contributions:</p>
                    <ol>
                        <li>A guideline for handling biomaterials in compliance with BSL2 standards.[Link guideline]</li>
                        <li>A clinical trial-style questionnaire to assess donor medical history.[Link Link questionaire]</li>
                        <li>A hygiene protocol to improve safety and cleanliness in research facilities.[Link hygiene protocoll]</li>
                    </ol>

                    <p>
                    These frameworks ensure that future iGEM teams can overcome similar challenges, ensuring safety and regulatory compliance while streamlining their workflow.
                     We contributed an extensive collection of optimized protocols for future iGEM teams, integrating our experiences to make synthetic biology more accessible. By embedding safety standards, we enable teams to confidently work with human biomaterials, ensuring regulatory compliance and efficient progress.
                    </p>
            <H5 text="PreCL Reporter System "/>
                <p>To test Prime Editing systems targeting the CF-specific delF508 mutation, we developed the PreCL reporter system [Link engineering of PreCL], which offers high sensitivity, minimal noise, and precise fluorescence detection. This versatile tool, adaptable for CRISPR and base editing, enhances the precision of genetic research, particularly in CF studies. 
                    We optimized pegRNA design[linkpegrna] by incorporating the TevoPreQ1 RNA motif, improving stability and Prime Editing efficiency. Our innovations, including silent edits and fine-tuned sequences, boost editing accuracy, providing a robust tool for genetic research. </p>
            <H5 text="Prime Editing Technology PrimeGuide & Lipid Nanoparticle System AirBuddy "/>
                <p>Our PrimeGuide[link] system introduces a novel eukaryotic RNA-binding DNA-nickase, a smaller alternative to Cas9. Enhanced with a more efficient Reverse Transcriptase and optimized RNA-binding proteins, this advancement improves Prime Editing accuracy and safety for genetic mutation correction. 
                We developed AirBuddy[link], a lung-specific RNA/DNA delivery system optimized for gene therapies targeting lung diseases. With low cytotoxicity, efficient cellular uptake, and cost-effective storage, AirBuddy revolutionizes lung disease treatments by providing a safer and more effective delivery method.  </p>
            <H5 text="Wiki Development"/>
                <p>To support future iGEM teams, we developed troubleshooting guides for HTML and CSS[link], making wiki development more accessible and easier to manage. 
                Through these contributions, we provide valuable tools and frameworks to advance synthetic biology, ensuring safer, more efficient research and therapeutic development for the iGEM community. </p>
            <H5 text="Global Impact and Inclusivity "/>
                <p>Recognizing the disparities in CF care across different regions, particularly in underrepresented areas like Asia, we adjusted our approach to create a more inclusive therapy. With feedback from stakeholders like <a onClick={() => goToPagesAndOpenTab('joshua', '')}>Joshua Bauder</a> from CF Vest International and <a onClick={() => goToPagesAndOpenTab('sriram', '/human-practices')}>Dr. Sriram Vaidyanathan</a>, we ensured our therapy addressed a wider range of CF mutations. This global focus led to bilingual surveys and expanded outreach efforts to raise awareness about CF and gene therapy. </p>
            
        </div>
    )
}